Package org.apache.synapse.transport.netty.sender

## Class ClientSSLConfigurationBuilder

- java.lang.Object
- - org.apache.synapse.transport.netty.sender.ClientSSLConfigurationBuilder

-     public class ClientSSLConfigurationBuilder
      extends Object

  Builder class for the Client SSLConfiguration.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ClientSSLConfigurationBuilder()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ClientSSLConfigurationBuilder` | `parseSSL​(TargetConfiguration targetConfiguration, org.apache.axis2.description.TransportOutDescription transportOut)` | Parse SSL configuration from axis2.xml.
    `void` | `setClientSSLConfig​(org.wso2.transport.http.netty.contract.config.SslConfiguration sslConfiguration)` | Populate the SSL configuration values in the given client SslConfiguration.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ClientSSLConfigurationBuilder

          public ClientSSLConfigurationBuilder()

  - ### Method Detail

    - #### setClientSSLConfig

          public void setClientSSLConfig​(org.wso2.transport.http.netty.contract.config.SslConfiguration sslConfiguration)

      Populate the SSL configuration values in the given client SslConfiguration.
      Parameters:
        `sslConfiguration` - instance that represents the client's ssl configuration

    - #### parseSSL

          public ClientSSLConfigurationBuilder parseSSL​(TargetConfiguration targetConfiguration,
                                                        org.apache.axis2.description.TransportOutDescription transportOut)
                                                 throws org.apache.axis2.AxisFault

      Parse SSL configuration from axis2.xml.
      Parameters:
        `targetConfiguration` - the configuration of the sender
        `transportOut` - TransportOutDescription of the configuration
      Throws:
        `org.apache.axis2.AxisFault`